Skip to main content
Get an alert scheduler rule
curl --request GET \
  --url https://api.coralogix.com/mgmt/openapi/5/alerts/suppression-rules/v1/{alert_scheduler_rule_id} \
  --header 'Authorization: <api-key>'
{
  "alertSchedulerRule": {
    "createdAt": "<string>",
    "description": "<string>",
    "enabled": true,
    "filter": {
      "alertMetaLabels": {
        "value": [
          {
            "id": "<string>",
            "key": "<string>",
            "value": "<string>"
          }
        ]
      },
      "whatExpression": "<string>"
    },
    "id": "<string>",
    "metaLabels": [
      {
        "id": "<string>",
        "key": "<string>",
        "value": "<string>"
      }
    ],
    "name": "<string>",
    "schedule": {
      "oneTime": {
        "timeframe": {
          "endTime": "<string>",
          "startTime": "<string>",
          "timezone": "<string>"
        }
      },
      "scheduleOperation": "SCHEDULE_OPERATION_UNSPECIFIED"
    },
    "uniqueIdentifier": "<string>",
    "updatedAt": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key authentication

Path Parameters

alert_scheduler_rule_id
string
required

Response

This is a response sent to get an alert scheduler rule

alertSchedulerRule
object
required